<!DOCTYPE RuleSet SYSTEM "jar://rewriter.jar/resources/RuleSet.dtd">

<RuleSet id="sap_portal_ruleset" extends="generic_ruleset">
    <HTMLRules>
	<Form name="*" field="*Url;*path;*html;*gif;*file"/>
	<Form name="*" field="iViewsData" valuePatterns="*src*=*&amp;#34\;**&amp;#34*src*=*&amp;#34\;**&amp;#34*src*=*&amp;#34\;**&amp;#34*src*=*&amp;#34\;**&amp;#34*src*=*&amp;#34\;**&amp;#34*src*=*&amp;#34\;**&amp;#34*src*=*&amp;#34\;**&amp;#34*src*=*&amp;#34\;**&amp;#34*src*=*&amp;#34\;**&amp;#34*src*=*&amp;#34\;**&amp;#34*src*=*&amp;#34\;**&amp;#34"/>
    </HTMLRules>
    <JSRules>
	<Variable name="gStaticButtonsURL" type="EXPRESSION"/>
	<Variable name="gFullDynamicButtonsUrl" type="EXPRESSION"/>
	<Variable name="gPropEditorURL" type="EXPRESSION"/>
	<Variable name="gFullEditorUrl" type="EXPRESSION"/>
	<Variable name="currTab.url" type="EXPRESSION"/>
	<Variable name="frameURL" type="EXPRESSION"/>
	<Variable name="gDynamicButtonsUrl" type="EXPRESSION"/>
	<Variable name="gEditorUrl" type="EXPRESSION"/>
	<Variable name="popup_emptydoc" type="EXPRESSION"/>
	<Variable name="contentAreaURL" type="EXPRESSION"/>
	<Variable name="mimepath" type="EXPRESSION"/>
	<Variable name="stylepath" type="EXPRESSION"/>
	<Variable name="contentUrl" type="EXPRESSION"/>
	<Variable name="UIPPortalPath" type="EXPRESSION"/>
	<Variable name="TerminatorURL" type="EXPRESSION"/>
	<Function name="SAPTreeGenImageUrl" paramPatterns="y" type="EXPRESSION"/>
	<Function name="xml*ttp.open" paramPatterns=",y," type="EXPRESSION"/>
	<Function name="document.createElement" paramPatterns="y" type="DHTML"/>
	<Function name="eval" paramPatterns="y" type="DJS"/>
	<Function name="ifrm.setAttribute" paramPatterns=",y" type="EXPRESSION"/>
    </JSRules>
</RuleSet>
